import request from '@/utils/request'

// 查询实验室硬件位置列表
export function listPosition(query) {
  return request({
    url: '/laboratory/position/list',
    method: 'get',
    params: query
  })
}

// 查询实验室硬件位置详细
export function getPosition(id) {
  return request({
    url: '/laboratory/position/' + id,
    method: 'get'
  })
}

// 新增实验室硬件位置
export function addPosition(data) {
  return request({
    url: '/laboratory/position',
    method: 'post',
    data: data
  })
}

// 修改实验室硬件位置
export function updatePosition(data) {
  return request({
    url: '/laboratory/position',
    method: 'put',
    data: data
  })
}

// 删除实验室硬件位置
export function delPosition(id) {
  return request({
    url: '/laboratory/position/' + id,
    method: 'delete'
  })
}
